package org.gcube.gcat.utils;

import org.gcube.common.encryption.encrypter.StringEncrypter;
import org.gcube.gcat.ContextTest;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class URIResolverTest extends ContextTest {
	
	private static final Logger logger = LoggerFactory.getLogger(URIResolverTest.class);
	
	@Test
	public void getURL() {
		String catalogueItemURL = URIResolver.getCatalogueItemURL("my_first_restful_transaction_model");
		logger.debug("Item URL is {}", catalogueItemURL);
	}
	
	@Test
	public void decrypt() throws Exception {
		ContextTest.setContextByName("/gcube/devsec/devVRE");
		String encrypted = "";
		String pwd = StringEncrypter.getEncrypter().decrypt(encrypted);
		logger.info(pwd);
	}
	
}
